> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Gift Card

Creates a new Gift Card object in Subscribe. The gift card itself is created in the system but the Gift card's value is not redeemed and therefore is not available for consumption.

**Tip:** Vindicia recommends using the [Gift Card Redemptions](Gift_Card_Redemptions) object as the first call in order to redeem the gift card and create the gift card object, in a single call.

## HTTP Request

`POST https://api.vindicia.com/gift_cards`

## Route (URL) Parameters

None.

## Query Parameters

None.

## Accepts

JSON - [Gift Cards](Gift_Cards) Gift card **pin** is required.The gift card's pin number is hidden number on the card itself that must be revealed for redemption. It is used to uniquely identify the gift card with the payment provider.

## Returns

JSON - full [Gift Cards](Gift_Cards) object.

## Example Request

```

 curl -X POST \
 -u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
 -d ' {
   "pin"="IAALKPM4AMED6HWX"   
}'"https://api.staging.us-west.vindicia.com/gift_cards"
```

## Example Response

The above command returns JSON structured like this:

```
{
    "object": "GiftCard",
    "vid": "8d1ece91e44441c3d424717c561dc8df74c4b5e4",
    "last_digits": "6HWX",
    "pin_length": 16,
    "hash_type": "sha1",
    "pin_hash": "b535aae49e30398c710989a79d56306e9ec0f309",
    "payment_provider": "Topps",
    "status": "Active",
    "amount": 500,
    "currency": "MXN",
    "product_number": "91422282643651081111"
}
```

**Parent topic:**[Gift Cards](../topics/Gift_Cards)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.